import request from '@/utils/request'
// 查询分润记录列表
export function listJxHorizonProfitSharing(query) {
  return request({
    url: '/jx_horizon/jxHorizonProfitSharing/list',
    method: 'get',
    params: query
  })
}
// 查询分润记录详细
export function getJxHorizonProfitSharing(id) {
  return request({
    url: '/jx_horizon/jxHorizonProfitSharing/get',
    method: 'get',
    params: {
     id: id.toString()
    }
  })
}
// 新增分润记录
export function addJxHorizonProfitSharing(data) {
  return request({
    url: '/jx_horizon/jxHorizonProfitSharing/add',
    method: 'post',
    data: data
  })
}
// 修改分润记录
export function updateJxHorizonProfitSharing(data) {
  return request({
    url: '/jx_horizon/jxHorizonProfitSharing/edit',
    method: 'put',
    data: data
  })
}
// 删除分润记录
export function delJxHorizonProfitSharing(ids) {
  return request({
    url: '/jx_horizon/jxHorizonProfitSharing/delete',
    method: 'delete',
    data:{
       ids:ids
    }
  })
}
// 分润记录分润状态修改
export function changeJxHorizonProfitSharingStatus(id,status) {
  const data = {
    id,
    status
  }
  return request({
    url: '/jx_horizon/jxHorizonProfitSharing/changeStatus',
    method: 'put',
    data:data
  })
}